<div class="main-container">
  <div class="header-section">
    <app-page-header [pageInfo]="pageHeaderInfo"></app-page-header>
  </div>

  <form [formGroup]="form" (ngSubmit)="send()" class="centered-form">
    <div class="form-content">
      <div class="columns">
        <div class="column is-10">
          <p i18n="@@passwordForgotten.info">
            Forgot your password? Enter your email address below, we will send you the instructions to create a new one.
          </p>
          <div class="field">
            <label class="label" for="email" i18n="@@form.email">Email</label>
            <p class="control">
              <input id="email" class="input" type="email" formControlName="email"
                [ngClass]="{'has-error': fieldIsInvalid('email'), 'is-valid': fieldIsValid('email')}">
            </p>
            <div class="form-incorrect-field-message" *ngIf="fieldIsInvalid('email')">
              <div *ngIf="email.errors['required']" i18n="@@form.errors.missingEmail">
                You must enter your email address.
              </div>
    
              <div *ngIf="email.errors['email']" i18n="@@form.errors.invalidEmail">
                You must enter a valid email address.
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="button-container">
      <button [routerLink]="['/', AppRoutes.signin.uri]" class="button btn-red-text" [disabled]="form.disabled"
        i18n="@@passwordForgotten.cancel">Cancel</button>
      <button class="button button-gl send-btn" type="submit"
        [ngClass]="{'is-loading': passwordForgottenRequestIsPending}" [disabled]="form.invalid || form.disabled"
        i18n="@@passwordForgotten.sendButton">Send</button>
    </div>
  </form>
</div>